#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<!--<ol class="breadcrumb">-->
				<!--<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>-->
				<!--<li><a href="#">Detail Komoditas</a></li>-->
				<!--<li><a href="#">Detail Usulan</a></li>-->
				<!--<li class="active">Daftar Penawaran</li>-->
			<!--</ol>-->
			<!-- End Breadcrumb -->
		</div>
	</div>

    #{alert /}
	
	<div class="row">
		<div class="col-md-2">
			#{include 'pl/filter-penawaran.html'/}
		</div>
		
		<div class="col-md-10">
			<h4>&{'daftar_penawaran.label'} ${usulan?.nama_usulan} - ${komoditas?.nama_komoditas}</h4>
			<div class="panel panel-default">
				<div class="panel-body">
					<!-- Data Table -->
					<table class="table table-striped" id="tblPenawaran">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_penyedia.label'}</th>
								<th>&{'tanggal_pengajuan.label'}</th>
								<th>&{'status.label'}</th>
								<th>&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>	
</div>
#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

        var obj_parameter = {};
        var usulanId = "${usulan?.id}";
        obj_parameter["usulan_id"] = usulanId;
        if(usulanId != null && usulanId != "")
            renderDataTable();

        $("#filter-penawaran").on("click", function(){
            obj_parameter["tanggalPengajuan"] = $("#tanggal-pengajuan").val();
            obj_parameter["status"]= $("#status").val();

            renderDataTable();
        });

        function renderDataTable() {

            var queryString = createQueryString(obj_parameter);
            // console.log(queryString);

            if( $.fn.dataTable.isDataTable('#tblPenawaran')){
                $("#tblPenawaran").dataTable().fnDestroy();
            }

            $("#tblPenawaran").dataTable({
                ajax: {
                    url:'@{DataTableCtr.cariPenawaranByUsulan()}' + queryString,
                    cache: true},
                order: [[ 1, "asc" ], [ 1, "asc" ]],
                columns: [
                    {
                        "searchable": false, "className": "header-center",
                        render: function(data, type, row, meta) {
                            return meta.row + meta.settings._iDisplayStart + 1 + ".";
                        }
                    },
                    {"searchable": true},
                    {"searchable": true, "className": "header-center"},
                    {"searchable": true, "className": "header-center"},
                    {"searchable": false, "className": "header-center"}
                ]
            });
        }

        function createQueryString(params){
            if (params) {
                var str = [];
                for (var p in params){
                    if (params.hasOwnProperty(p)) {
                        str.push(encodeURIComponent(p) + "=" + encodeURIComponent(params[p]));
                    }
                }

                return '?' + str.join("&");
            }
            return '';
        }

        // Alert Selesai Negosiasi
        $("body").on("click", "#selesaiNegosiasi", function() {
            return confirm("&{'konfirmasi.selesai.negosiasi'}");
        });


    });
</script>
#{/set}